> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get offer document

## Field support per integration

<AccordionGroup>
  <Note>
    Please note that the content in output is base64-encoded.
  </Note>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    Supported Response Fields:

    <ResponseField name="base64Encoded" type="boolean" />

    <ResponseField name="content" type="string" />

    <ResponseField name="contentType" type="string" />

    <ResponseField name="fileName" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/offers/{offerId}/document
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/offers/{offerId}/document:
    get:
      tags:
        - accounting
      operationId: getOfferDocument
      parameters:
        - name: offerId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/DocumentResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    DocumentResponseDto:
      type: object
      properties:
        id:
          type: string
          example: document id
        base64Encoded:
          type: boolean
          example: true
        content:
          type: string
          example: content
        contentType:
          type: string
          example: application/pdf
        fileName:
          type: string
          example: invoice.pdf
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````